summaryrefslogtreecommitdiff
path: root/pcr/recutils
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@sbcglobal.net>2015-05-04 21:48:58 -0400
committerLuke Shumaker <lukeshu@sbcglobal.net>2015-05-04 21:48:58 -0400
commitcfba75b8706ed4ffd35997c5e4cf2a441656166d (patch)
tree976b4145ce3897f7c8f39bf43e4e27f872c57694 /pcr/recutils
parentcfefa5d1a2f03b1617d2c5ee949adaa11c84e18c (diff)
update pcr/recutils
Diffstat (limited to 'pcr/recutils')
-rw-r--r--pcr/recutils/PKGBUILD38
-rw-r--r--pcr/recutils/recutils-1.5-glibc-2.16.patch29
-rw-r--r--pcr/recutils/recutils.install32
3 files changed, 27 insertions, 72 deletions
diff --git a/pcr/recutils/PKGBUILD b/pcr/recutils/PKGBUILD
index 4a6952bbd..708e17d6e 100644
--- a/pcr/recutils/PKGBUILD
+++ b/pcr/recutils/PKGBUILD
@@ -1,43 +1,41 @@
-# Maintainer (Arch): Max Meyer <dev@fedux.org>
-# Contributor (Arch): Sven Wick <sven.wick@gmx.de>
-#
-# Please fork and send me a pull request for changes to package build file(s)
-# Url: https://github.com/maxmeyer/archlinux-recutils
-#
+# Maintainer: Luke Shumaker <lukeshu@sbcglobal.net>
+# Maintainer (AUR): Brandon Invergo <brandon@invergo.net>
+# Contributor (AUR): Max Meyer <dev@fedux.org>
+# Contributor (AUR): Sven Wick <sven.wick@gmx.de>
pkgname=recutils
-pkgver=1.5
-pkgrel=2
-pkgdesc="GNU tools and libraries to access human-editable, text-based databases."
-arch=(i686 x86_64 mips64el)
+pkgver=1.7
+pkgrel=1
+pkgdesc="A set of tools and libraries to access human-editable, text-based databases"
+arch=(i686 x86_64)
url="http://www.gnu.org/software/recutils/"
license=('GPL3')
depends=(libgcrypt curl)
-optdepends=("mdbtools: for processing M$ Access databases")
-#options=()
+makedepends=(make)
+checkdepends=(check)
+optdepends=(
+# 'bash: for shell builtins' # Arch 'bash' does not include the headers
+ 'mdbtools: for mdb2rec'
+)
+makedepends+=("${optdepends[@]%%:*}")
install=recutils.install
-changelog=ChangeLog
-source=("http://ftp.gnu.org/gnu/recutils/$pkgname-$pkgver.tar.gz"
- "recutils-1.5-glibc-2.16.patch")
-sha256sums=('7ed67e74468084f52ad9341e4b11c44e5fd9d5325b93b7eb2cb230c839ff5dec'
- '28c169df3573748215a78b78793d45a09aeefc6194cf1185c7c0f11881eb289a')
+source=("http://ftpmirror.gnu.org/recutils/$pkgname-$pkgver.tar.gz")
+sha256sums=('233dc6dedb1916b887de293454da7e36a74bed9ebea364f7e97e74920051bc31')
options=(!libtool)
build() {
cd "$srcdir/$pkgname-$pkgver"
- patch -Np1 -i ${srcdir}/recutils-1.5-glibc-2.16.patch
./configure --prefix=/usr
make
}
check() {
cd "$srcdir/$pkgname-$pkgver"
- make check
+ make -j1 check
}
package() {
cd "$srcdir/$pkgname-$pkgver"
-
make DESTDIR="$pkgdir/" install
}
diff --git a/pcr/recutils/recutils-1.5-glibc-2.16.patch b/pcr/recutils/recutils-1.5-glibc-2.16.patch
deleted file mode 100644
index 8b4997f09..000000000
--- a/pcr/recutils/recutils-1.5-glibc-2.16.patch
+++ /dev/null
@@ -1,29 +0,0 @@
---- recutils-1.5/lib/stdio.in.h
-+++ recutils-1.5/lib/stdio.in.h
-@@ -699,22 +699,11 @@
- # endif
- #endif
-
--#if @GNULIB_GETS@
--# if @REPLACE_STDIO_READ_FUNCS@ && @GNULIB_STDIO_H_NONBLOCKING@
--# if !(defined __cplusplus && defined GNULIB_NAMESPACE)
--# undef gets
--# define gets rpl_gets
--# endif
--_GL_FUNCDECL_RPL (gets, char *, (char *s) _GL_ARG_NONNULL ((1)));
--_GL_CXXALIAS_RPL (gets, char *, (char *s));
--# else
--_GL_CXXALIAS_SYS (gets, char *, (char *s));
--# undef gets
--# endif
--_GL_CXXALIASWARN (gets);
- /* It is very rare that the developer ever has full control of stdin,
-- so any use of gets warrants an unconditional warning. Assume it is
-- always declared, since it is required by C89. */
-+ so any use of gets warrants an unconditional warning; besides, C11
-+ removed it. */
-+#undef gets
-+#if HAVE_RAW_DECL_GETS
- _GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");
- #endif
-
diff --git a/pcr/recutils/recutils.install b/pcr/recutils/recutils.install
index 245c7ae01..c53225fdc 100644
--- a/pcr/recutils/recutils.install
+++ b/pcr/recutils/recutils.install
@@ -1,35 +1,21 @@
-_infodir=/usr/share/info
-_infofiles=( recutils.info.gz )
+infodir=usr/share/info
+filelist=(recutils.info)
-_mandir=/usr/share/man/man1
-_manfiles=( csv2rec.1.gz rec2csv.1.gz recdel.1.gz recfix.1.gz recfmt.1.gz recinf.1.gz recins.1.gz recsel.1.gz recset.1.gz)
-
-## arg 1: the new package version
post_install() {
- [ -x /usr/bin/mandb ] || return 0
- for _file in ${_manfiles[@]}; do
- mandb -f $_mandir/$_file
- done
-
- [ -x /usr/bin/install-info ] || return 0
- for _file in ${_infofiles[@]}; do
- install-info $_infodir/$_file $_infodir/dir #2> /dev/null
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in "${filelist[@]}"; do
+ install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
done
}
-# arg 1: the new package version
-# arg 2: the old package version
post_upgrade() {
- post_install $1
+ post_install "$1"
}
pre_remove() {
- [ -x /usr/bin/mandb ] || return 0
- mandb
-
- [ -x /usr/bin/install-info ] || return 0
- for _file in ${_infofiles[@]}; do
- install-info --delete $_infodir/$_file $_infodir/dir #2> /dev/null
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in "${filelist[@]}"; do
+ install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
done
}